Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionMenuItem.CheckType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionMenuItem.CheckType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionMenuItem

    public static final class QStyleOptionMenuItem.CheckType

extends java.lang.Enum
implements QtEnumerator

This enum is used to indicate whether or not a check mark should be drawn for the item, or even if it should be drawn at all.

See also:
  checkType, `QAction::checkable`, `QAction::checked`, and `QActionGroup::exclusive`.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionMenuItem.CheckType` | `Exclusive` The item is an exclusive check item (like a radio button).
`static QStyleOptionMenuItem.CheckType` | `NonExclusive` The item is a non-exclusive check item (like a check box).
`static QStyleOptionMenuItem.CheckType` | `NotCheckable` The item is not checkable.

Method Summary
`static QStyleOptionMenuItem.CheckType` | `resolve(int value)` Returns the QStyleOptionMenuItem$CheckType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionMenuItem.CheckType` | `valueOf(java.lang.String name)`
`static QStyleOptionMenuItem.CheckType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NotCheckable

    public static final QStyleOptionMenuItem.CheckType NotCheckable

  The item is not checkable.

### Exclusive

    public static final QStyleOptionMenuItem.CheckType Exclusive

  The item is an exclusive check item (like a radio button).

### NonExclusive

    public static final QStyleOptionMenuItem.CheckType NonExclusive

  The item is a non-exclusive check item (like a check box).

Method Detail

### values

    public static QStyleOptionMenuItem.CheckType[] values()

### valueOf

    public static QStyleOptionMenuItem.CheckType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionMenuItem.CheckType resolve(int value)

  Returns the QStyleOptionMenuItem$CheckType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD